Name:		mfiler3
Version:	1.1.1
Release:	1%{?dist}
Summary:	Two pane file manager under UNIX console

Group:		Applications/Editors
License:	GPL+
URL:		http://www.geocities.jp/daisuke530221jp/index3.html
Source0:	http://www.geocities.jp/daisuke530221jp/%{name}-%{version}.tgz
Source10:	mfiler3.sh
Patch0:		mfiler3-1.0.0-use-external.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmigemo-devel
BuildRequires:	gc-devel
BuildRequires:	ncurses-devel
BuildRequires:	oniguruma-devel

%description
Minnu's Filer3 is a two pane file manager under UNIX console.

%package	mdnd
Summary:	Drag and drop support for %{name}
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}

Requires:	ruby(gtk2)

%description	mdnd
This package supports drag and drop usage for %{name}.


%prep
%setup -q -n %{name}
%{__sed} -i.strip -e 's| -s -m| -m|' Makefile.in
%{__sed} -i.debuginfo -e 's|-g -w||' configure

%patch0 -p1 -b .ext
# Remove unneeded internal directories to make it sure that
# we are using external libraries
%{__rm} -rf \
	migemo-dic/ \
	src/onig*/ \

# Remove pre-compiled binary...
%{__rm} -f mattr

%build
%configure \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--bindir=%{_libexecdir}/%{name}
%{__make} %{?_smp_mflags} -k \
	CC="%{__cc} $RPM_OPT_FLAGS"

%install
%{__rm} -rf $RPM_BUILD_ROOT

# Use %%makeinstall
%makeinstall \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	bindir=$RPM_BUILD_ROOT%{_libexecdir}/%{name} \
	INSTALL="%{__install} -c -p"

# Install wrapper script
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__install} -cpm 0755 %SOURCE10 $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc	doc/

%config(noreplace)	%{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%exclude	%{_libexecdir}/%{name}/mdnd

%files	mdnd
%defattr(-,root,root,-)
%{_libexecdir}/%{name}/mdnd


%changelog
* Sat Jun 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.1-1
- 1.1.1

* Mon Jun 23 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.2-1
- 1.0.2
- -Werror-implicit-function-declaration is added in the source tarball

* Sun Jun 22 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.1-1
- 1.0.1

* Thu Jun 19 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.0-1
- 1.0.0
- Add -Werror-implicit-function-declaration

* Tue Jun  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.1-1
- Initial packaging
- Make mfiler3 parallel installable with mfiler2

